clang 8.0.0

Macros
IvarInvalidationChecker.cpp File Reference
`#include "clang/StaticAnalyzer/Checkers/BuiltinCheckerRegistration.h"`
`#include "clang/AST/Attr.h"`
`#include "clang/AST/DeclObjC.h"`
`#include "clang/AST/StmtVisitor.h"`
`#include "clang/StaticAnalyzer/Core/BugReporter/BugReporter.h"`
`#include "clang/StaticAnalyzer/Core/Checker.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/AnalysisManager.h"`
`#include "llvm/ADT/DenseMap.h"`
`#include "llvm/ADT/SetVector.h"`
`#include "llvm/ADT/SmallString.h"`
Include dependency graph for IvarInvalidationChecker.cpp:

Go to the source code of this file.

## Macros
#define | REGISTER_CHECKER(name)

## Macro Definition Documentation

## ◆ REGISTER_CHECKER

#define REGISTER_CHECKER | ( |  | name | ) |

Value:
void ento::register##name(CheckerManager &mgr) { \
IvarInvalidationChecker *checker = \
mgr.registerChecker<IvarInvalidationChecker>(); \
checker->Filter.check_##name = true; \
checker->Filter.checkName_##name = mgr.getCurrentCheckName(); \
}

Definition at line 739 of file IvarInvalidationChecker.cpp.